Bug 1121305 - [abrt] subdownloader: utf_8.py:16:decode:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 7: ordinal not in range(128)
Summary: [abrt] subdownloader: utf_8.py:16:decode:UnicodeEncodeError: 'ascii' codec ca...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: subdownloader
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:397b515918abdbcf93fecc0143a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 01:41 UTC by João Carlos Mendes Luís
Modified: 2015-06-29 21:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:38:39 UTC


Attachments (Terms of Use)
File: backtrace (1.28 KB, text/plain)
2014-07-19 01:41 UTC, João Carlos Mendes Luís
no flags Details
File: environ (1.64 KB, text/plain)
2014-07-19 01:41 UTC, João Carlos Mendes Luís
no flags Details

Description João Carlos Mendes Luís 2014-07-19 01:41:19 UTC
Version-Release number of selected component:
subdownloader-2.0.18-3.fc20

Additional info:
reporter:       libreport-2.2.2
cmdline:        python /usr/bin/subdownloader
dso_list:       python-libs-2.7.5-13.fc20.x86_64
executable:     /usr/bin/subdownloader
kernel:         3.14.8-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            40024

Truncated backtrace:
utf_8.py:16:decode:UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 7: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/subdownloader/gui/main.py", line 944, in onFolderTreeClicked
    self.SearchVideos(folder_path)
  File "/usr/lib/python2.7/site-packages/subdownloader/gui/main.py", line 781, in SearchVideos
    videos_found,subs_found = FileScan.ScanFilesFolders(path,recursively = True,report_progress = self.progress)
  File "/usr/lib/python2.7/site-packages/subdownloader/FileManagement/FileScan.py", line 43, in ScanFilesFolders
    videos_found, subs_found = ScanFolder(path,recursively = True,report_progress=report_progress, progress_end=progress_end)
  File "/usr/lib/python2.7/site-packages/subdownloader/FileManagement/FileScan.py", line 91, in ScanFolder
    report_progress(count,_("Parsing video: %s")% os.path.basename(filepath).decode(sys.getfilesystemencoding()))
  File "/usr/lib64/python2.7/encodings/utf_8.py", line 16, in decode
    return codecs.utf_8_decode(input, errors, True)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 7: ordinal not in range(128)

Local variables in innermost frame:
input: u'Les.Mis\xe9rables.2012.1080p.BrRip.x264.YIFY.mp4'
errors: 'strict'

Comment 1 João Carlos Mendes Luís 2014-07-19 01:41:22 UTC
Created attachment 919218 [details]
File: backtrace

Comment 2 João Carlos Mendes Luís 2014-07-19 01:41:23 UTC
Created attachment 919219 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:24:36 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:38:39 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.